import 'package:flutter/material.dart';

import 'package:fancy_password_field/fancy_password_field.dart';

import 'package:pweb/widgets/password/hint/validation_result.dart';
import 'package:pweb/widgets/password/hint/widget.dart';


Widget expandedValidation(BuildContext context, Set<ValidationRule> rules, String value) {
  return PasswordValidationOutput(
    children: rules.map(
        (rule) => PasswordValidationResult(
          ruleName: rule.name, 
          result: rule.validate(value),
        ),
      ).toList()
    );
}
